# Package org.eclipse.net4j.util.transaction

A framework for transactional operations.

See: Description

- Interface Summary
  Interface | Description
  --- | ---
  ITransaction<CONTEXT> |
  ITransactionalOperation<CONTEXT> |

- Class Summary
  Class | Description
  --- | ---
  Transaction<CONTEXT> |
  TransactionUtil |

- Exception Summary
  Exception | Description
  --- | ---
  TransactionException |

## Package org.eclipse.net4j.util.transaction Description

A framework for transactional operations.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html